Skip to main content
POST /v1/payments/notifyPayment A notification endpoint implemented by the merchant. The wallet notifies the merchant of payment results.

Request Parameters

paymentId
string
required
Wallet-generated unique payment ID.
paymentRequestId
string
required
Merchant-generated unique payment identifier.
paymentStatus
string
required
Payment outcome. Values: SUCCESS, FAIL
paymentAmount
object
required
Order amount for display on user consumption records and payment results page. See Amount.
paymentTime
string
Payment success time in ISO 8601 format (e.g., 2019-04-04T12:08:56.253+05:30).
paymentCreateTime
string
Payment creation time in ISO 8601 format.

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage

Result Codes

resultStatusresultCodeDescription
SSUCCESSNotification acknowledged
UUNKNOWN_EXCEPTIONUnknown error occurred